Bug 213701 - sysutils/munin-node haproxy_ng plugin gives lots of "returned no data for label" errors
Summary: sysutils/munin-node haproxy_ng plugin gives lots of "returned no data for lab...
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-22 11:22 UTC by Niklaas Baudet von Gersdorff
Modified: 2017-04-23 18:17 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mat)


Attachments
Screenshot of missing graphs (865.68 KB, image/png)
2016-10-22 11:22 UTC, Niklaas Baudet von Gersdorff
no flags Details
List of error messages (19.88 KB, text/plain)
2016-10-22 11:24 UTC, Niklaas Baudet von Gersdorff
no flags Details
Corresponding munin-graph.log (51.63 KB, text/plain)
2016-11-18 21:59 UTC, Niklaas Baudet von Gersdorff
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Niklaas Baudet von Gersdorff 2016-10-22 11:22:41 UTC
Created attachment 176058 [details]
Screenshot of missing graphs

Using the haproxy_ng plugin I encounter a lot of the following errors:

2016/10/22 12:55:12 [WARNING] Service HAPSessionsBack.mysql-write-backend on box-hlm-03/10.3.0.1:4949 returned no data for label mysql2

Consequently a lot of graphs are not shown, such as:

* Bandwidth usage by Backend
* Bandwidth usage by Frontend
* Response errors by backend
* Session rate by backend
* Uptime by servers

The only resource related to the issue I found is an abandoned issue on GitHub:

https://github.com/munin-monitoring/contrib/issues/294

I attached a screenshot. I will attach a log of all the errors.
Comment 1 Niklaas Baudet von Gersdorff 2016-10-22 11:24:00 UTC
Created attachment 176059 [details]
List of error messages
Comment 2 Mathieu Arnold freebsd_committer 2016-10-22 13:14:53 UTC
Is this a FreeBSD specific issue ?
Comment 3 Niklaas Baudet von Gersdorff 2016-10-22 13:30:21 UTC
(In reply to Mathieu Arnold from comment #2)

I compared `/usr/local/share/munin/plugins/haproxy_ng` with the current one at https://github.com/munin-monitoring/munin/blob/master/plugins/node.d/haproxy_ng and they differ. That's why I reported here and not upstream.

Searching for a solution, I only came across the issue report on GitHub mentioned in my previous comment. If this were also an issue on Linux, I would have come across further reports, I guess.
Comment 4 Niklaas Baudet von Gersdorff 2016-10-23 21:16:43 UTC
Could it generally be the case that the plugins packaged with the FreeBSD port are a bit old and not in line with upstream?

I just figured out that `postfix_mailstats` upstream [1] has more features than the one in ports (it supports postscreen). This despite the fact that it works flawlessly on FreeBSD -- I only had to change the shebang. 

1: https://github.com/munin-monitoring/munin/blob/devel/plugins/node.d/postfix_mailstats
Comment 5 Mathieu Arnold freebsd_committer 2016-10-27 13:57:00 UTC
The ports munin is lagging a bit behind, yes, it currently is at 2.0.25 and upstream has released 2.0.26 last month, I will update the port.

I had not noticed before because munin used to be distributed via sourceforge, and it is not any more.

(Also, note that the files your are linking to are on the development branch of munin, which is the 2.1 branch that will end up being munin 3.0 one day)
Comment 6 Niklaas Baudet von Gersdorff 2016-10-30 10:39:34 UTC
(In reply to Mathieu Arnold from comment #5)

Ah, I see. You're right, I checked the development branch.

Do you have any suggestions/ideas about the haproxy_ng plugin?
Comment 7 Mathieu Arnold freebsd_committer 2016-10-30 10:49:17 UTC
Is there still a problem with version 2.0.26 ?
Comment 8 Niklaas Baudet von Gersdorff 2016-11-18 21:18:12 UTC
(In reply to Mathieu Arnold from comment #7)

Unfortunately, there is, yes.

What I really don't understand is why everything works fine with `munin-run` but I get a lot of error messages when the plugin is executed by `munin-cron`.
Comment 9 Niklaas Baudet von Gersdorff 2016-11-18 21:59:42 UTC
Created attachment 177155 [details]
Corresponding munin-graph.log

Looks like https://lists.freebsd.org/pipermail/freebsd-ports/2016-November/105679.html but (re)installing www/p5-CGI-Fast didn't lead to success.